Product comparison · 2 network switches

D-Link DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey vs Dell PowerConnect M6348

Add a product
  • 27specifications compared
  • 14differ
  • 13identical
  • 27known for one product only

Key differences

  • Switch layer
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:L2+
    • PowerConnect M6348:L3
  • Basic switching RJ-45 Ethernet ports quantity
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:20
    • PowerConnect M6348:48
  • SFP module slots quantity
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:4
    • PowerConnect M6348:2
  • SFP/SFP+ slots quantity
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:4
    • PowerConnect M6348:2
  • Number of VLANs
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:4000
    • PowerConnect M6348:1024
  • MAC address table
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:16000 entries
    • PowerConnect M6348:32000 entries
  • Switching capacity
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:88 Gbit/s
    • PowerConnect M6348:184 Gbit/s
  • Maximum data transfer rate
    • DGS-3120-24TC Managed L2+ Gigabit Ethernet (10/100/1000) Black, Grey:1 Gbit/s
    • PowerConnect M6348:10 Gbit/s

Side by side

Differences highlightedShow differences only (off)
Comparison of DGS-3120-24TC, PowerConnect M6348
54 specifications
Management features1 differ
Switch typeManagedManaged
Switch layerDiffersL2+L3
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
MIB supportKnown for oneRFC 1213 MIB II, RFC 4188 Bridge MIB, RFC 1157, 2571-2576 SNMP MIB, RFC 1907 SNMPv2 MIB, RFC 1757, 2819 RMON MIB, RFC 2021 RMONv2 MIB, RFC 1398, 1643, 1650, 2358, 2665 Ether-like MIB, RFC 2674 802.1p MIB, RFC 2233, 2863 IF MIB, RFC 2618 RADIUS Authentication Client MIB, RFC 2620 RADIUS Accounting ClUnknown — not stated by the source
Ports & interfaces3 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2048
Basic switching RJ-45 Ethernet ports typeKnown for oneGigabit Ethernet (10/100/1000)Unknown — not stated by the source
SFP module slots quantityDiffers42
SFP/SFP+ slots quantityDiffers42
CX4 ports quantityKnown for oneUnknown — not stated by the source2
Network1 differ
Full duplexYesYes
Flow control supportYesYes
Number of VLANsDiffers40001024
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1s, IEEE 802.1v, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ac, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3ak, IEEE 802.3i, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportKnown for oneUnknown — not stated by the sourceYes
Port mirroringKnown for oneUnknown — not stated by the sourceYes
Auto MDI/MDI-XKnown for oneUnknown — not stated by the sourceYes
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Data transmission3 differ
MAC address tableDiffers16000 entries32000 entries
Supported data transfer rates10/100/1000 Mbps10/100/1000 Mbps
Switching capacityDiffers88 Gbit/s184 Gbit/s
Maximum data transfer rateDiffers1 Gbit/s10 Gbit/s
Jumbo frames supportKnown for oneYesUnknown — not stated by the source
Packet buffer memoryKnown for one2 MBUnknown — not stated by the source
Securityidentical
Access Control List (ACL)YesYes
IGMP snoopingYesYes
SSH/SSL supportYesYes
DHCP featuresKnown for oneUnknown — not stated by the sourceDHCP server, DHCP client
Security algorithmsKnown for oneUnknown — not stated by the source802.1x RADIUS, HTTPS, SSH
Static port securityKnown for oneUnknown — not stated by the sourceYes
Multicast featuresidentical
Multicast supportYesYes
Protocols1 differ
Management protocolsDiffersTelnet, SNMP v1/v2c/v3SNMPv1/v2c/v3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, FTP, SFTP, RIP, OSPF, CIDR, ICMP, IRDP, VRRP, ARP, IGMP, DVMRP, RMON, Telnet
Designidentical
StackableKnown for oneYesUnknown — not stated by the source
Product colourKnown for oneBlack, GreyUnknown — not stated by the source
SafetyKnown for oneCB, cUL, LVDUnknown — not stated by the source
Performance1 differ
Flash memoryDiffers32 MB64 MB
Noise levelKnown for one49.8 dBUnknown — not stated by the source
Mean time between failures (MTBF)Known for one561829573 hUnknown — not stated by the source
Internal memoryKnown for oneUnknown — not stated by the source512 MB
Poweridentical
Input voltageKnown for one100 - 240 VUnknown — not stated by the source
Power consumption (typical)Known for one40.5 WUnknown — not stated by the source
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)Known for oneNoUnknown — not stated by the source
Other features1 differ
Dimensions (WxDxH)Differs440 x 210 x 44 mm267 x 258 x 31 mm
Connectivity technologyWiredWired
Input frequencyKnown for one50/60 HzUnknown — not stated by the source
Networking featuresGigabit EthernetGigabit Ethernet
Operational conditions3 differ
Operating temperature (T-T)Differs0 - 50 °C0 - 45 °C
Storage temperature (T-T)Differs-40 - 70 °C-20 - 70 °C
Operating relative humidity (H-H)10 - 90%10 - 90%
Storage relative humidity (H-H)Differs5 - 90%10 - 95%
Heat dissipationKnown for one138105 BTU/hUnknown — not stated by the source
Weight & dimensionsidentical
WeightKnown for one2.56 kgUnknown — not stated by the source
Certificatesidentical
CertificationKnown for oneFCC A, CE A, VCCI A, IC, C-TickUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons